Workflows
Fetch a list of NamedEntityIdentifier of workflow objects.
GET
/
api
/
v1
/
workflow_ids
/
{project}
/
{domain}
Fetch a list of NamedEntityIdentifier of workflow objects.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"entities": [
{
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project that contains the identifiers. +required
Name of the domain the identifiers belongs to within the project. +required
Query Parameters
Indicates the number of resources to be returned. +required
In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING, ASCENDING Indicates a list of filters passed as string. +optional
Optional, org key applied to the resource.
Response
A successful response.
Last modified on October 9, 2026
Was this page helpful?
⌘I
Fetch a list of NamedEntityIdentifier of workflow objects.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}import requests
url = "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/workflow_ids/{project}/{domain}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"entities": [
{
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}